Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226098

Summary: Merge Review: linuxdoc-tools
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Kamil Dudka <kdudka>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: ovasik, twaugh
Target Milestone: ---Flags: kdudka: fedora-review+
wtogami: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.9.66-5.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-02-03 09:49:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 19:33:58 UTC
Fedora Merge Review: linuxdoc-tools

http://cvs.fedora.redhat.com/viewcvs/devel/linuxdoc-tools/
Initial Owner: twaugh@redhat.com

Comment 1 Ondrej Vasik 2007-07-27 08:21:41 UTC
Package Change Request
======================
Package Name: linuxdoc-tools
Updated Fedora Owners: ovasik@redhat.com

Comment 2 Kamil Dudka 2010-01-26 15:03:10 UTC
considered OK
=============
- almost silent rpmlint (only one spelling false alarm)
- sane summary/description
- valid project URL and source URL
- upstream tarball is the same as the one from look-aside cache
- md5 hash matches the sources
- dist tag OK
- license tag OK
- BuildRoot tag OK
- %build OK
- %clean OK
- %defattr OK

may be better
=============
- remove a redundant configure option --with-installed-nsgmls

- file doc/copyright is copy-pasted from iso-entities/COPYING, moreover the file is not used either

- it would be good to package also COPYING from the root of the tarball and all the referred documents from there:
    * sgmls-1.1/LICENSE
    * iso-entities/COPYING
    * entity-map/COPYING

- %post/%postun: the ambiguously looking chain of && and || may be replaced by an if/then/fi construction (and perhaps also decorated by a commented)

Comment 3 Ondrej Vasik 2010-02-02 13:17:43 UTC
Thanks for review. Configure option removed, doc/COPYRIGHT removed from spec file, COPYING file + references shipped now. This post/postun ambiguously looking chain is common style of registration in texlive, I'd prefer to keep it as it is. Same way used in e.g. texinfo, jadetex, passivetex, xmltex and other packages. One thing was recommended in texinfo review - to requires(post): and requires(postun): %{_bindir}/texconfig-sys , to ensure proper texconfig-sys style registration. Done this way - which also fixes this ambigously looking construction. Built as linuxdoc-tools-0.9.66-5.fc13.

Comment 4 Kamil Dudka 2010-02-02 14:45:15 UTC
Looks good to me.

fedora-review+

Comment 5 Ondrej Vasik 2010-02-03 09:49:48 UTC
Closing.